package com.yunfeiyun.agmp.fms.domain.resvo;

import com.yunfeiyun.agmp.common.enums.DictTypeEnums;
import com.yunfeiyun.agmp.common.utils.DictUtils;
import com.yunfeiyun.agmp.common.utils.StringUtils;
import lombok.Data;

/**
 * 作物对象 FmsCrop
 * 
 * @author 杨晓辉
 * @date 2023-05-16
 */
@Data
public class FmsTaskTypeCountResVo
{
    private static final long serialVersionUID = 1L;

    /** 数量 */
    private String count;

    /** 农事任务类型 */
    private String taskType;

    /** 农事任务类型名称 */
    private String taskTypeContent;

    public String getTaskTypeContent() {

        if (!StringUtils.isEmpty(this.taskType)) {
            if("-1".equals(this.taskType)){
                return "采收";
            }
            if("-2".equals(this.taskType)){
                return "巡田";
            }
            return DictUtils.getDictLabel(DictTypeEnums.FMS_TASK_WORK_TYPE.getCode(), this.taskType);
        } else {
            return "";
        }
    }
}
